import 'bulma/css/bulma.css'
import {useEffect, useState} from "react";
import axios from "axios";
import PostList from "./components/Post/PostList";

const apiUrl = "http://localhost:8000";

function App() {
    const [postList, setPostsList] = useState([]);

    const fetchPosts = async () => {
        await axios.get(apiUrl + "/catalog")
        .then((response) => { setPostsList(response.data)})
    }

    useEffect(() => {
        fetchPosts();
    }, []);

    async function handleClickRefresh() {
        await fetchPosts();
    }

    return (
        <>
            <div className="container">
                <section className="hero is-info">
                    <div className="hero-body">
                        <p className="title">Singleboard Forum App</p>
                    </div>
                </section>
                <div className="section">
                    <div className="container" style={{marginBottom: "50px"}}>
                        <button className="button" onClick={handleClickRefresh}>Refresh Posts</button>
                    </div>
                    <PostList posts={postList}/>
                </div>
            </div>
        </>
    );
}

export default App;
